Retrieve a Specific Weight Measures By Code

Prev Next
Get
/sys-rest-api/rest/1/weightmeasure

Query Standards

Finder

Following row finders are available for data filtering and optimizing request performance.

  • Select by Weight Measure Finder

Select by Weight Meansure Finder

Recommended finder parameters. Refer to Query Parameters for example.

Parameter Description Sample
WmCodeVar Weight Measure Code CY
Security
HTTP
Type basic

Basic authentication

Query parameters
finder
string
ExampleWeightmeasureFinder;WmCodeVar=CY
limit
integer
Example500
offset
integer
Example0
totalResults
boolean
Exampletrue
orderBy
string
ExampleWmName:desc
Responses
200

OK

Headers
Content-Type
string
Exampleapplication/vnd.oracle.adf.resourcecollection+json
{
  "items": [
    {
      "WmCode": "CY",
      "WmName": "Cubic Yard",
      "links": [
        {
          "rel": "self",
          "href": "http://mobtest.cmiccloudr12.com:80/cmictestrti/sys-rest-api/rest/1/weightmeasure/CY",
          "name": "weightmeasure",
          "kind": "item"
        },
        {
          "rel": "canonical",
          "href": "http://mobtest.cmiccloudr12.com:80/cmictestrti/sys-rest-api/rest/1/weightmeasure/CY",
          "name": "weightmeasure",
          "kind": "item"
        }
      ]
    }
  ],
  "count": 1,
  "hasMore": false,
  "limit": 25,
  "offset": 0,
  "links": [
    {
      "rel": "self",
      "href": "http://mobtest.cmiccloudr12.com:80/cmictestrti/sys-rest-api/rest/1/weightmeasure",
      "name": "weightmeasure",
      "kind": "collection"
    }
  ]
}
object
Copyright © 2024 CMiC All Rights Reserved